# Globals

CMSIS-DSP: Globals

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- v
- w
- x
- y

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - s -

- arm_scale_f16() : basic_math_functions_f16.h , arm_scale_f16.c
- arm_scale_f32() : arm_scale_f32.c , basic_math_functions.h
- arm_scale_f64() : basic_math_functions.h , arm_scale_f64.c
- arm_scale_q15() : arm_scale_q15.c , basic_math_functions.h
- arm_scale_q31() : basic_math_functions.h , arm_scale_q31.c
- arm_scale_q7() : basic_math_functions.h , arm_scale_q7.c
- arm_shift_q15() : basic_math_functions.h , arm_shift_q15.c
- arm_shift_q31() : arm_shift_q31.c , basic_math_functions.h
- arm_shift_q7() : basic_math_functions.h , arm_shift_q7.c
- arm_sin_cos_f32() : controller_functions.h
- arm_sin_cos_q31() : controller_functions.h
- arm_sin_f32() : fast_math_functions.h
- arm_sin_q15() : fast_math_functions.h
- arm_sin_q31() : fast_math_functions.h
- arm_snr_f32() : arm_matrix_example/math_helper.c , arm_matrix_example/math_helper.h , arm_signal_converge_example/math_helper.c , arm_signal_converge_example/math_helper.h , arm_convolution_example/math_helper.c , arm_convolution_example/math_helper.h , arm_fir_example/math_helper.c , arm_fir_example/math_helper.h , arm_graphic_equalizer_example/math_helper.c , arm_graphic_equalizer_example/math_helper.h , arm_linear_interp_example/math_helper.c , arm_linear_interp_example/math_helper.h
- arm_sokalmichener_distance() : distance_functions.h , arm_sokalmichener_distance.c
- arm_sokalsneath_distance() : distance_functions.h , arm_sokalsneath_distance.c
- arm_sort_f32() : support_functions.h , arm_sort_f32.c
- arm_sort_init_f32() : support_functions.h , arm_sort_init_f32.c
- arm_spline_f32() : interpolation_functions.h
- arm_spline_init_f32() : interpolation_functions.h
- arm_split_rfft_f32() : arm_rfft_f32.c
- arm_split_rfft_q15() : arm_rfft_q15.c
- arm_split_rfft_q31() : arm_rfft_q31.c
- arm_split_rifft_f32() : arm_rfft_f32.c
- arm_split_rifft_q15() : arm_rfft_q15.c
- arm_split_rifft_q31() : arm_rfft_q31.c
- arm_sqrt_f16() : fast_math_functions_f16.h
- arm_sqrt_f32() : fast_math_functions.h
- arm_sqrt_q15() : fast_math_functions.h
- arm_sqrt_q31() : fast_math_functions.h
- arm_std_f16() : statistics_functions_f16.h , arm_std_f16.c
- arm_std_f32() : statistics_functions.h , arm_std_f32.c
- arm_std_f64() : arm_std_f64.c , statistics_functions.h
- arm_std_q15() : statistics_functions.h , arm_std_q15.c
- arm_std_q31() : statistics_functions.h , arm_std_q31.c
- arm_sub_f16() : basic_math_functions_f16.h , arm_sub_f16.c
- arm_sub_f32() : arm_sub_f32.c , basic_math_functions.h
- arm_sub_f64() : basic_math_functions.h , arm_sub_f64.c
- arm_sub_q15() : arm_sub_q15.c , basic_math_functions.h
- arm_sub_q31() : basic_math_functions.h , arm_sub_q31.c
- arm_sub_q7() : arm_sub_q7.c , basic_math_functions.h
- arm_svm_linear_init_f16() : svm_functions_f16.h , arm_svm_linear_init_f16.c
- arm_svm_linear_init_f32() : arm_svm_linear_init_f32.c , svm_functions.h
- arm_svm_linear_predict_f16() : svm_functions_f16.h , arm_svm_linear_predict_f16.c
- arm_svm_linear_predict_f32() : svm_functions.h , arm_svm_linear_predict_f32.c
- arm_svm_polynomial_init_f16() : svm_functions_f16.h , arm_svm_polynomial_init_f16.c
- arm_svm_polynomial_init_f32() : svm_functions.h , arm_svm_polynomial_init_f32.c
- arm_svm_polynomial_predict_f16() : arm_svm_polynomial_predict_f16.c , svm_functions_f16.h
- arm_svm_polynomial_predict_f32() : svm_functions.h , arm_svm_polynomial_predict_f32.c
- arm_svm_rbf_init_f16() : arm_svm_rbf_init_f16.c , svm_functions_f16.h
- arm_svm_rbf_init_f32() : arm_svm_rbf_init_f32.c , svm_functions.h
- arm_svm_rbf_predict_f16() : svm_functions_f16.h , arm_svm_rbf_predict_f16.c
- arm_svm_rbf_predict_f32() : arm_svm_rbf_predict_f32.c , svm_functions.h
- arm_svm_sigmoid_init_f16() : svm_functions_f16.h , arm_svm_sigmoid_init_f16.c
- arm_svm_sigmoid_init_f32() : svm_functions.h , arm_svm_sigmoid_init_f32.c
- arm_svm_sigmoid_predict_f16() : svm_functions_f16.h , arm_svm_sigmoid_predict_f16.c
- arm_svm_sigmoid_predict_f32() : arm_svm_sigmoid_predict_f32.c , svm_functions.h
- stage_rfft_f16() : arm_rfft_fast_f16.c
- stage_rfft_f32() : arm_rfft_fast_f32.c
- stage_rfft_f64() : arm_rfft_fast_f64.c